import { ViewModuleIcon, UsergroupIcon,ViewListIcon,ChartBubbleIcon,HomeIcon,HelpIcon} from 'tdesign-icons-vue';

import Layout from '@/layouts/index.vue';

export default [
  {
    path: '/user',
    name: 'user',
    component: Layout,
    redirect: '/user/user_index',
    meta: { title: '会员管理', icon: UsergroupIcon },
    children: [
      {
        path: 'user_index',
        name: 'userIndex',
        component: () => import('@/pages/user/user_index.vue'),
        meta: { title: '会员列表' },
      },
      {
        path: 'plan',
        name: 'userPlan',
        component: () => import('@/pages/user/user_plan.vue'),
        meta: { title: '职位管理' },
      },
      {
        path: 'line',
        name: 'userLine',
        component: () => import('@/pages/user/user_line.vue'),
        meta: { title: '行业管理' },
      },
      {
        path: 'region',
        name: 'userRegion',
        component: () => import('@/pages/user/user_region.vue'),
        meta: { title: '区域管理' },
      },
      {
        path: 'user_info',
        name: 'userInfo',
        component: () => import('@/pages/user/user_info.vue'),
        meta: { title: '会员详情',hidden:true },
      },
      {
        path: 'user_edit',
        name: 'userEdit',
        component: () => import('@/pages/user/user_edit.vue'),
        meta: { title: '会员编辑',hidden:true },
      },
      {
        path: 'user_edit_shen',
        name: 'userEditShen',
        component: () => import('@/pages/user/user_edit_shen.vue'),
        meta: { title: '编辑信息审核' },
      },
    ],
  },
  {
    path: '/activity',
    name: 'activity',
    component: Layout,
    redirect: '/activity/index',
    meta: { title: '活动管理', icon: ChartBubbleIcon },
    children: [
      {
        path: 'activity_index',
        name: 'activityIndex',
        component: () => import('@/pages/activity/activity_index.vue'),
        meta: { title: '活动列表' },
      }
    ],
  },
  {
    path: '/news',
    name: 'news',
    component: Layout,
    redirect: '/news/news_index',
    meta: { title: '新闻文章', icon: ViewListIcon },
    children: [
      {
        path: 'news_index',
        name: 'newsIndex',
        component: () => import('@/pages/news/news_index.vue'),
        meta: { title: '新闻内容管理' },
      }
    ],
  },{
    path: '/association',
    name: 'association',
    component: Layout,
    redirect: '/association/index',
    meta: { title: '协会管理', icon: HomeIcon },
    children: [
      {
        path: 'person ',
        name: 'associationPerson',
        component: () => import('@/pages/association/person.vue'),
        meta: { title: '管理员' },
      },
      {
        path: 'carousel ',
        name: 'associationCarousel',
        component: () => import('@/pages/association/carousel.vue'),
        meta: { title: '轮播图' },
      },
      {
        path: 'opinion',
        name: 'associationOpinion',
        component: () => import('@/pages/association/opinion.vue'),
        meta: { title: '意见反馈' },
      },
      {
        path: 'index',
        name: 'associationIndex',
        component: () => import('@/pages/association/index.vue'),
        meta: { title: '关于我们' },
      },
      {
        path: 'system',
        name: 'systemIndex',
        component: () => import('@/pages/association/system.vue'),
        meta: { title: '系统设置' },
      }
    ],
  },

];
